For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
SupportDeel Home
OverviewPlatformEmployer of RecordContractorsGlobal PayrollHREmbeddedDeel ITAPI ReferenceChangelog
OverviewPlatformEmployer of RecordContractorsGlobal PayrollHREmbeddedDeel ITAPI ReferenceChangelog
  • Resources
    • Blog
    • Community
    • API spec
  • Endpoints
    • PATCHProfiles
      • POSTCreate a new task
      • DELDelete task
      • GETList of tasks
      • POSTReview a single task
      • POSTReview multiple tasks
      • PATCHUpdate Task By ID
LogoLogo
SupportDeel Home
EndpointsTasks

Review multiple tasks

POST
/contracts/:contract_id/tasks/many/reviews
POST
/rest/v2/contracts/:contract_id/tasks/many/reviews
$curl -X POST https://api.letsdeel.com/rest/v2/contracts/37nex2x/tasks/many/reviews \
> -H "Authorization: Bearer <token>" \
> -H "Content-Type: application/json" \
> -d '{
> "data": {
> "ids": [
> "00000000-0000-0000-0000-000000000001",
> "00000000-0000-0000-0000-000000000002"
> ],
> "status": "declined",
> "reason": "Incomplete documentation"
> }
>}'
1{
2 "data": {
3 "created": true
4 }
5}

Approves or declines multiple submitted tasks associated with a contract in a single request. Each task review must include a status of approved or declined, with an optional reason required when declining. Token scopes: contracts:write

Was this page helpful?
Previous

Update Task By ID

Next
Built with

Authentication

AuthorizationBearer
## Authentication The Deel API uses bearer tokens to authenticate requests. All API calls must be made over HTTPS — calls over plain HTTP or without authentication will fail. ```curl curl -X GET 'https://api.letsdeel.com/rest/v2/contracts' \ -H 'Authorization: Bearer YOUR-TOKEN-HERE' ``` [Learn more about authentication](/api/authentication)
OR
AuthorizationBearer

Standard OAuth2 security scheme based on https://swagger.io/docs/specification/authentication/

Path parameters

contract_idstringRequired
The unique Deel contract ID associated with the tasks.

Request

This endpoint expects an object.
dataobjectOptional

Response

The task reviews were successfully processed.
dataobject

Errors

400
Bad Request Error
401
Unauthorized Error
403
Forbidden Error
404
Not Found Error
500
Internal Server Error

Authentication

The Deel API uses bearer tokens to authenticate requests. All API calls must be made over HTTPS — calls over plain HTTP or without authentication will fail.

1curl -X GET 'https://api.letsdeel.com/rest/v2/contracts' \
2 -H 'Authorization: Bearer YOUR-TOKEN-HERE'

Learn more about authentication